[BUG REPORT] Login crashes Brave

bug

#1

Attempts to login are crashing Brave 0.16.9 on Linux Mint 18.1.
I’m currently experiencing this bug on two websites.

  1. lxer.com - crashes on 8th password character typed
  2. community.brave.com - crashes on 9th password character typed

After crash and restart, pinned tabs are not reloaded.

This occurs on a Dell Latitude E6520 with a second monitor on it’s VGA port running Linux Mint 18.1 Serena x86_64. Brave crashes regardless of which monitor it is displayed on.

Here’s the about Brave info…
Brave: 0.16.9
rev: fba98fcb091b3abfa18aba7c6c0db0c7aa343589
Muon: 4.0.2
libchromiumcontent: 59.0.3071.86
V8: 5.9.211.31
Node.js: 7.9.0
Update Channel: dev
os.platform: linux
os.release: 4.8.0-53-generic
os.arch: x64

Please let me know if there’s a way to provide more info. I can work around the bug. I’m more interested in improving Brave.

Thanks.


#2

@Statler_Waldorf thanks for the report! We’re currently tracking here : https://github.com/brave/browser-laptop/issues/9138

This was an awesome write-up and when we get a possible fix I’ll circle back to see if you’d like to help us test it.

Thanks again!


#3

I am also experiencing this problem.

Brave is crashing when I click either the login button or the “Remember Me” checkbox on both the Linux Mint forums login and the Experts Exchange site. Rather embarrassingly, it even effects my login to the Brave Community forum, which is why I am using Firefox to post this.

Brave 0.16.9
rev fba98fc
Muon 4.0.2
libchromiumcontent 59.0.3071.86
V8 5.9.211.31
Node.js 7.9.0
Update Channel dev
os.platform linux
os.release 4.4.0-83-generic
os.arch x64


#4

Related to this thread.

Hi @Statler_Waldorf @don0don,

Please update your Brave version and see if this issue still persist.

Thank you,
:slight_smile:


#5

I just performed the suggested update & upgrade – a Brave upgrade was NOT made available. I then attempted a manual upgrade of Brave and received this message:

“brave is already the newest version (0.16.9-1).”

Now what?


#6

cc @clifton on this.


#7

OP here. For what it’s worth, I’m now running 0.17.13 and login problems are a thing of the past.

I’m using the instruction from this page - https://github.com/brave/browser-laptop/blob/master/docs/linuxInstall.md

Specifically, I’m using these commands…

Hope this helps.


#8

@don0don you can grab the binary from here:

Although, apt-get update && apt-get upgrade should be working if you installed per the instructions. Can you confirm you’ve followed the steps in the linuxInstall.md link that @Statler_Waldorf shared?


#9

That link hadn’t yet been posted when I followed Brian’s instructions:

For Linux, we did release an update. You should be able to run apt update / apt upgrade to get the new version of Brave. I believe it will be 0.16.12 or 0.16.13

Thanks for the link. I followed the instructions in the link for Mint64 and the upgrade went perfectly. The login problems have disappeared!


#10

Thanks guys! Was also experiencing login crashes on some sites (www.edx.org, www.trello.com, khanacademy, takealot), but happy to report that following upgrade to 0.17.13, all is working perfectly!

Thank you!


#11

@don0don I’m sorry for the unclear reply from me. Not very familiar with Linux (I need read more about Linux!). :slight_smile:
And glad the issue is solved.

Also thank you to @Statler_Waldorf for the helpful info. :wink:


#12

Thanks for reporting that issue is solved, @duncan .

For all, I’m going to close this thread since the issue is fixed in latest release.

Thank you,
:slight_smile:


#13

This topic was automatically closed after 108 minutes. New replies are no longer allowed.